The system is: Windows - 10.0.19045 - AMD64
Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
Compiler: C:/Program Files (x86)/Microsoft Visual Studio/2019/Community/VC/Tools/MSVC/14.29.30133/bin/Hostx64/x64/cl.exe 
Build flags: 
Id flags:  

The output was:
0
用于 x64 的 Microsoft (R) C/C++ 优化编译器 19.29.30146 版
版权所有(C) Microsoft Corporation。保留所有权利。

CMakeCXXCompilerId.cpp
Microsoft (R) Incremental Linker Version 14.29.30146.0
Copyright (C) Microsoft Corporation.  All rights reserved.

/out:CMakeCXXCompilerId.exe 
CMakeCXXCompilerId.obj 


Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CMakeCXXCompilerId.exe"

Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CMakeCXXCompilerId.obj"

The CXX compiler identification is MSVC, found in "C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/3.24.2/CompilerIdCXX/CMakeCXXCompilerId.exe"

Detecting CXX compiler ABI info compiled with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_8d1fe && [1/2] Building CXX object CMakeFiles\cmTC_8d1fe.dir\CMakeCXXCompilerABI.cpp.obj

[2/2] Linking CXX executable cmTC_8d1fe.exe




Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
Compiler: C:/Program Files (x86)/Microsoft Visual Studio/2019/Community/VC/Tools/MSVC/14.29.30133/bin/Hostx64/x64/cl.exe 
Build flags: 
Id flags:  

The output was:
0
用于 x64 的 Microsoft (R) C/C++ 优化编译器 19.29.30146 版
版权所有(C) Microsoft Corporation。保留所有权利。

CMakeCCompilerId.c
Microsoft (R) Incremental Linker Version 14.29.30146.0
Copyright (C) Microsoft Corporation.  All rights reserved.

/out:CMakeCCompilerId.exe 
CMakeCCompilerId.obj 


Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "CMakeCCompilerId.exe"

Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "CMakeCCompilerId.obj"

The C compiler identification is MSVC, found in "C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/3.24.2/CompilerIdC/CMakeCCompilerId.exe"

Detecting C compiler ABI info compiled with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_c54fd && [1/2] Building C object CMakeFiles\cmTC_c54fd.dir\CMakeCCompilerABI.c.obj

[2/2] Linking C executable cmTC_c54fd.exe




Determining if the include file audioclient.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_8c361 && [1/2] Building C object CMakeFiles\cmTC_8c361.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_8c361.exe




Determining if the alloca exist passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_5d2ee && [1/2] Building C object CMakeFiles\cmTC_5d2ee.dir\CheckSymbolExists.c.obj

[2/2] Linking C executable cmTC_5d2ee.exe



File C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <stdlib.h>
#include <malloc.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef alloca
  return ((int*)(&alloca))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if the lrintf exist passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_73514 && [1/2] Building C object CMakeFiles\cmTC_73514.dir\CheckSymbolExists.c.obj

[2/2] Linking C executable cmTC_73514.exe



File C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <math.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef lrintf
  return ((int*)(&lrintf))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if the lrint exist passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_2ccbb && [1/2] Building C object CMakeFiles\cmTC_2ccbb.dir\CheckSymbolExists.c.obj

[2/2] Linking C executable cmTC_2ccbb.exe



File C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <math.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef lrint
  return ((int*)(&lrint))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if the include file intrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_3dd90 && [1/2] Building C object CMakeFiles\cmTC_3dd90.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_3dd90.exe




Determining if the include file xmmintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_941bd && [1/2] Building C object CMakeFiles\cmTC_941bd.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_941bd.exe




Determining if the include file emmintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_9e5cf && [1/2] Building C object CMakeFiles\cmTC_9e5cf.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_9e5cf.exe




Determining if the include file smmintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_7a0b8 && [1/2] Building C object CMakeFiles\cmTC_7a0b8.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_7a0b8.exe




Determining if the include file immintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_807ed && [1/2] Building C object CMakeFiles\cmTC_807ed.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_807ed.exe




Performing C SOURCE FILE Test AVX_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_c2672 && [1/2] Building C object CMakeFiles\cmTC_c2672.dir\src.c.obj

[2/2] Linking C executable cmTC_c2672.exe



Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test FAST_MATH_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_5d09f && [1/2] Building C object CMakeFiles\cmTC_5d09f.dir\src.c.obj

[2/2] Linking C executable cmTC_5d09f.exe



Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test STACK_PROTECTOR_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_06a92 && [1/2] Building C object CMakeFiles\cmTC_06a92.dir\src.c.obj

[2/2] Linking C executable cmTC_06a92.exe



Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test STACK_PROTECTOR_DISABLED_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_a0074 && [1/2] Building C object CMakeFiles\cmTC_a0074.dir\src.c.obj

[2/2] Linking C executable cmTC_a0074.exe



Source file was:
int main(void) { return 0; }
Performing C++ SOURCE FILE Test HAVE_STDATOMIC succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1040/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_3b9f3 && [1/2] Building CXX object CMakeFiles\cmTC_3b9f3.dir\src.cxx.obj

[2/2] Linking CXX executable cmTC_3b9f3.exe



Source file was:
#include <atomic>
#include <cstdint>

int main(int, char **)
{
    volatile std::atomic<char>    size_1;
    volatile std::atomic<short>   size_2;
    volatile std::atomic<int>     size_4;
    volatile std::atomic<int64_t> size_8;

    ++size_1;
    ++size_2;
    ++size_4;
    ++size_8;

    (void)size_1.load(std::memory_order_relaxed);
    (void)size_2.load(std::memory_order_relaxed);
    (void)size_4.load(std::memory_order_relaxed);
    (void)size_8.load(std::memory_order_relaxed);

    return 0;
}
